/*
 * @Description: file content
 * @Author: your name
 * @version:
 * @Date: 2024-06-17 14:51:26
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-07-25 09:39:53
 */
import type { GlobConfig } from '#/config';

import { getAppEnvConfig } from '@/utils/env';

export const useGlobSetting = (): Readonly<GlobConfig> => {
  const {
    VITE_GLOB_APP_TITLE,
    VITE_GLOB_API_URL,
    VITE_GLOB_API_URL_PREFIX,
    VITE_GLOB_UPLOAD_URL,
    VITE_GLOB_SYS_API_URL,
    VITE_GLOB_WS_URL,
    VITE_GLOB_MAP_KEY,
    VITE_GLOB_TSK_API_URL,
    VITE_GLOB_DOWNLOAD_URL,
    VITE_GLOB_SYS_TYPE,
    VITE_USE_ORG,
  } = getAppEnvConfig();

  // Take global configuration
  const glob: Readonly<GlobConfig> = {
    title: VITE_GLOB_APP_TITLE,
    apiUrl: VITE_GLOB_API_URL,
    sysApiUrl: VITE_GLOB_SYS_API_URL,
    taskApiUrl: VITE_GLOB_TSK_API_URL,
    wsUrl: VITE_GLOB_WS_URL,
    shortName: VITE_GLOB_APP_TITLE.replace(/\s/g, '_').replace(/-/g, '_'),
    urlPrefix: VITE_GLOB_API_URL_PREFIX,
    uploadUrl: VITE_GLOB_UPLOAD_URL,
    mapKey: VITE_GLOB_MAP_KEY,
    downloadUrl: VITE_GLOB_DOWNLOAD_URL,
    useOrg: VITE_USE_ORG,
    systemType: VITE_GLOB_SYS_TYPE,
  };
  return glob as Readonly<GlobConfig>;
};
